# Method Search.Database.Base()->get_field_id()

Method get_field_id

  ``int` get_field_id(`string` `field`, `void`|`int` `do_not_create`)`

Description

  Retrieve and possibly creates the numeric id of a field

Parameter `field`

  The (possibly wide string) field name wanted.

Parameter `do_not_create`

  If non-zero, do not allocate a field id for this field

Returns

  An allocated numeric id, or -1 if it did not exist, or allocation failed.